Summary:	KBoincMgr is a KDE-based replacement for the official boincmgr program
Name:		kboincmgr
Version:	0.3.0
Release:	%mkrel 1
License:	GPL
Group:		Networking/Other
URL:		http://sourceforge.net/projects/kboincmgr
Source:		http://downloads.sourceforge.net/kboincmgr/%{name}-%{version}.tar.bz2
Patch0:		kboincmgr-0.3.0-use-automake-1.10.patch
BuildRequires:	kdelibs-devel
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}buildroot

%description
KBoincMgr is a replacement for the official boincmgr program. Apart the 
advantages of adhering to the KDE philosophy of ease of use, KBoincMgr 
maintains the look and feel of your other KDE applications.

%prep
%setup -qn %{name}-0.3
%patch0 -p0

%build
make -f Makefile.cvs
%configure2_5x \
	--enable-nmcheck \
	--enable-pch \
	--disable-rpath

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir=%{buildroot}%{_datadir}/applications/kde \
	--add-category='Network;RemoteAccess;Qt;KDE' \
	%{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop

%find_lang %{name}

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING INSTALL ChangeLog
%doc %{_docdir}/HTML/en/kboincmgr
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/kboincmgr
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Tue Aug 28 2007 Funda Wang <fundawang@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 73279
- Add patch to recognize automake 1.10
- use our own autotools
- run autotools at first
- New version 0.3.0


* Mon Feb 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.4-1mdv2007.0
+ Revision: 116176
- new version

* Wed Jan 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.3-1mdv2007.1
+ Revision: 115695
- Import kboincmgr

